diff --git a/user-doc/Makefile b/user-doc/Makefile
index 3ac15dd613d77bda8a5df99e95e7c04680e5a18f..c0f6d0498b6032866a6fa66800148c8d42c3d0ff 100644
--- a/user-doc/Makefile
+++ b/user-doc/Makefile
@@ -17,6 +17,7 @@ else
 all:
 ifeq ($(make_doc),yes)
 	make_pdfdoc=$(make_pdfdoc) ./extract
+	./go-spelling
 	make_pdfdoc=$(make_pdfdoc) ./go-doxygen
 	cp *png html/
 	./report_errors
diff --git a/user-doc/extract b/user-doc/extract
index 1af0632b07948773d286ed9cadecb36e851caf0e..e2a74f5dd1611948ba6b22972708bf0da118f8a5 100755
--- a/user-doc/extract
+++ b/user-doc/extract
@@ -162,7 +162,7 @@ awk 'BEGIN{gfile="automatic/GLOSSARY.list"; dfile="automatic/DICTIONARY.list"; }
       cmd="grep reference: " array[1]".md | sed -e 's/reference://'"
       cmd | getline reference 
       close(cmd)
-      printf "<tr><td width=%s>\\subpage %s </td><td> %s </td><td> %s </td><td> %s </td></tr>\n", "10%", array[1], describe, authors, reference >> afile
+      printf "<tr><td width=%s> \\subpage %s </td><td> %s </td><td> %s </td><td> %s </td></tr>\n", "10%", array[1], describe, authors, reference >> afile
     }
   }
 }'
diff --git a/user-doc/go-spelling b/user-doc/go-spelling
new file mode 100755
index 0000000000000000000000000000000000000000..3f5c4744756e44db4ebc2e7f89850b572a072897
--- /dev/null
+++ b/user-doc/go-spelling
@@ -0,0 +1,52 @@
+#!/bin/bash
+
+rm -rf spelling
+mkdir spelling
+mkdir spelling/automatic
+# Get names of all actions and command line tools
+../src/lib/plumed --no-mpi manual --action=ABMD > /dev/null 2> spelling/keywords
+cat spelling/keywords | grep -v "LIST OF" | awk '{if(NF>0) print $1}' > spelling/pkeys
+# Get all the keywords for all actions
+while read flag; do
+   ../src/lib/plumed --no-mpi manual --action=$flag --spelling > spelling/$flag.psp 2> /dev/null
+   cat spelling/$flag.psp | sed -e $'s/_/\\\n/g' | sed -e $'s/-/\\\n/g' | grep -v '[0-9]' | grep -v "help" | awk '{if(NF>0) print $1}' >> spelling/allkeys 
+done < spelling/pkeys
+# Now reconfigure the keyword list to get rid of troublesome characters
+cat spelling/pkeys | sed -e $'s/_/\\\n/g' | grep -v '[0-9]' | sed -e $'s/-/\\\n/g' > spelling/keywords
+# And now construct the exclude list for the spell checker
+nsafewords=`cat spelling/keywords spelling/allkeys spelling_words.dict | wc -l | awk '{print $1}'`
+echo personal_ws-1.1 en $nsafewords > ./spelling/allwords.dict
+cat spelling/keywords spelling/allkeys spelling_words.dict >> spelling/allwords.dict
+
+# This is everything we have done thus far
+for file in *PP.md automatic/*.txt ; do
+    echo Checking spelling for file $file
+    # This is some stuff to get rid of stuff that trips up the spell checker: the equations and the plumed examples 
+    cat $file | sed -e 's/psi-1//' | sed -e 's/-#//' | sed -e 's/@//' | sed -e 's/&//' | sed -e 's/\vdots//' | 
+    awk 'BEGIN{inp=0}{
+          if($1=="\\endplumedfile" || $1=="\\f]" || $1=="\\f}" || $1=="\\endverbatim"){inp=0;}
+          else if($1=="\\plumedfile" || $1=="\\f[" || $1=="\\f{eqnarray*}{" || $1=="\\verbatim"){inp=1;}
+          else if(inp==0){
+            skip=0;
+            for(i=1;i<=NF;++i){ 
+                if(skip==1){ skip=0; }
+                else if($i=="\\cite" || $i=="\\ref" || $i=="\\page" || $i=="subpage" || $i=="\\subpage" || $i=="\\section" || $i=="\\subsection" || $i=="\\link" ){ skip=1; }
+                else if(index($i, "\\f$")==0 && index($i,"http")==0 ) { printf(" %s",$i); }
+            }
+            printf("\n");
+          }
+          }' > spelling/$file.md
+
+    # Check for spelling mistakes
+    tail -n +2 spelling/$file.md | grep -v "*/" | aspell pipe -H --dont-suggest --personal=./spelling/allwords.dict | grep -v '*' | grep -v "International Ispell" | awk '{if(NF>0) print $0}' > spelling/$file.err
+    nerrors=`wc -l spelling/$file.err | awk '{print $1}'`
+    # Crash out if there are spelling mistakes
+    if [ $nerrors -gt 0 ] ; then 
+       echo "Found spelling mistakes in documentation file $file" 
+       cat spelling/$file.err
+       exit 1
+    fi
+done
+
+# These are other files we want to check
+# ls tutorials/*.txt tutorials/others/*.txt ../CHANGES/*.md 
diff --git a/user-doc/spelling_words.dict b/user-doc/spelling_words.dict
index da3437484d8da320420b523c770431931d1a1625..e40c7d9968e0bea835982be6032aa27da8a6a278 100644
--- a/user-doc/spelling_words.dict
+++ b/user-doc/spelling_words.dict
@@ -423,3 +423,155 @@ negativebias
 myfes
 myhisto
 Quapp
+Bonomi
+EDSMOD
+EABFMOD
+Haochuan
+github
+MultiColvars
+MultiColvar
+MAXBACKUP
+gz
+kJ
+nanometers
+MCOLVAR
+GRIDCALC
+CONCOMP
+MATRIXF
+PRINTANALYSIS
+GRIDANALYSIS
+MTRANSFORMS
+DCOLVAR
+PRINTANALYSIS
+UTILS
+MCOLVARB
+MCOLVARF
+MFILTERS
+mdatoms
+allatoms
+gcc
+intel
+travis
+ci
+Makefile
+cmake
+conf
+sourceme
+autoconf
+mpic
+mpicxx
+mpi
+CXX
+icpc
+MPICXX
+Autoconf
+macports
+BLAS
+LAPACK
+lxdrfile
+LIBS
+ldl
+numpy
+cython
+PYTHONPATH
+runtime
+CXXFLAGS
+MacPorts
+libmyxdrfile
+libsearch
+MacPorts
+libplumed
+LDFLAGS
+lblas
+llapack
+rpath
+lgfortran
+Fortran
+dsyevr
+DF
+MACOSXX
+pathtovmdplugins
+TCL
+libKernel
+sudo
+relink
+relinked
+modulefile
+namd
+qespresso
+fPIC
+CPPFLAGS
+linkers
+libmolfile
+usr
+hoc
+bindir
+openMP
+mpich
+openblas
+allmodules
+subport
+devel
+libxdrfile
+AVX
+AIX
+De
+virtualenv
+ld
+cd
+prelinking
+lmpi
+Abhishek
+Acharya
+DMPICH
+lplumed
+dl
+progname
+openmmp
+erm
+arse
+autocompletion
+autocomplete
+dr
+bashrc
+env
+executables
+vimrc
+PHelp
+filetype
+PPlus
+PMinus
+VIMPATH
+modeline
+Todo
+toBeIncluded
+plumedf
+builddir
+zo
+zc
+omnifunc
+modulename
+CUDA
+OpenCL
+parallelized
+openmp
+CACHELINE
+asmjit
+gitk
+Macbook
+ntomp
+libmatheval
+wikipedia
+lugano
+px
+Lugano
+Variational
+cntrl
+namelist
+plumedfile
+multisander
+Multisander
+DBUILD
+DGMX
+mdrun
+Ralf